PETSc version 3.15.5
Fix/Edit manual page

# PetscEventPerfLogSetVisible

This function determines whether an event is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogSetVisible(PetscEventPerfLog eventLog,PetscLogEvent event,PetscBool isVisible)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event to log
| isVisible | - The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

| -log_view | - Activates log summary

### See Also

PetscEventPerfLogGetVisible(), PetscEventRegLogRegister(), PetscStageLogGetEventLog()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages